### Hierarchy

- SVGElement
- SVGFilterPrimitiveStandardAttributes
  - SVGFEConvolveMatrixElement

## Index

### Properties

- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- NOTATION_NODE
- PROCESSING_INSTRUCTION_NODE
- SVGElement
- SVG_EDGEMODE_DUPLICATE
- SVG_EDGEMODE_NONE
- SVG_EDGEMODE_UNKNOWN
- SVG_EDGEMODE_WRAP
- TEXT_NODE
- assignedSlot
- attributes
- baseURI
- bias
- childElementCount
- childNodes
- children
- classList
- className
- clientHeight
- clientLeft
- clientTop
- clientWidth
- correspondingElement
- correspondingUseElement
- dataset
- divisor
- edgeMode
- firstChild
- firstElementChild
- height
- id
- in1
- innerHTML
- isConnected
- kernelMatrix
- kernelUnitLengthX
- kernelUnitLengthY
- lastChild
- lastElementChild
- localName
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- nonce
- onabort
- onanimationcancel
- onanimationend
- onanimationiteration
- onanimationstart
- onauxclick
- onblur
- oncancel
- oncanplay
- oncanplaythrough
- onchange
- onclick
- onclose
- oncontextmenu
- oncopy
- oncuechange
- oncut
- ondblclick
- ondrag
- ondragend
- ondragenter
- ondragexit
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- onfullscreenchange
- onfullscreenerror
- ongotpointercapture
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onload
- onloadeddata
- onloadedmetadata
- onloadend
- onloadstart
- onlostpointercapture
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onpaste
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onprogress
- onratechange
- onreset
- onresize
- onscroll
- onsecuritypolicyviolation
- onseeked
- onseeking
- onselect
- onstalled
- onsubmit
- onsuspend
- ontimeupdate
- ontoggle
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- ontransitioncancel
- ontransitionend
- ontransitionrun
- ontransitionstart
- onvolumechange
- onwaiting
- onwheel
- orderX
- orderY
- outerHTML
- ownerDocument
- ownerSVGElement
- parentElement
- parentNode
- prefix
- preserveAlpha
- previousElementSibling
- previousSibling
- result
- scrollHeight
- scrollLeft
- scrollTop
- scrollWidth
- shadowRoot
- slot
- style
- tabIndex
- tagName
- targetX
- targetY
- textContent
- viewportElement
- width
- x
- y

### Methods

- addEventListener
- after
- animate
- append
- appendChild
- attachShadow
- before
- blur
- cloneNode
- closest
- compareDocumentPosition
- contains
- dispatchEvent
- focus
- getAnimations
- getAttribute
- getAttributeNS
- getAttributeNames
- getAttributeNode
- getAttributeNodeNS
- getBoundingClientRect
- getClientRects
- getElementsByClassName
- getElementsByTagName
- getElementsByTagNameNS
- getRootNode
- hasAttribute
- hasAttributeNS
- hasAttributes
- hasChildNodes
- hasPointerCapture
- insertAdjacentElement
- insertAdjacentHTML
- insertAdjacentText
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- matches
- msGetRegionContent
- normalize
- prepend
- querySelector
- querySelectorAll
- releasePointerCapture
- remove
- removeAttribute
- removeAttributeNS
- removeAttributeNode
- removeChild
- removeEventListener
- replaceChild
- replaceWith
- requestFullscreen
- scroll
- scrollBy
- scrollIntoView
- scrollTo
- setAttribute
- setAttributeNS
- setAttributeNode
- setAttributeNodeNS
- setPointerCapture
- toggleAttribute
- webkitMatchesSelector

## Properties

### ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10484

### CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10485

### COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10486

### DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10487

### DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10488

### DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10489

### DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10490

### DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10491

### DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10492

### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10493

### DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10494

### DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10495

### ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10496

### ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10497

### ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10498

### NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10499

### PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10500

### SVGElement

SVGElement: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12388

#### Type declaration

- ##### constructor: function

  - new __type(): SVGElement
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12389

    #### Returns SVGElement

- ##### prototype: SVGElement

### SVG_EDGEMODE_DUPLICATE

SVG_EDGEMODE_DUPLICATE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12564

### SVG_EDGEMODE_NONE

SVG_EDGEMODE_NONE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12565

### SVG_EDGEMODE_UNKNOWN

SVG_EDGEMODE_UNKNOWN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12566

### SVG_EDGEMODE_WRAP

SVG_EDGEMODE_WRAP: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12567

### TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10501

### assignedSlot

assignedSlot: HTMLSlotElement | null

Inherited from Element.assignedSlot

Overrides Slotable.assignedSlot

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4776

### attributes

attributes: NamedNodeMap

Inherited from Element.attributes

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4777

### baseURI

baseURI: string

Inherited from Node.baseURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10385

Returns node's node document's document base URL.

### bias

bias: SVGAnimatedNumber

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12552

### childElementCount

childElementCount: number

Inherited from ParentNode.childElementCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10799

### childNodes

childNodes: NodeListOf<ChildNode>

Inherited from Node.childNodes

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10389

Returns the children.

### children

children: HTMLCollection

Inherited from ParentNode.children

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10803

Returns the child elements.

### classList

classList: DOMTokenList

Inherited from Element.classList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4782

Allows for manipulation of element's class content attribute as a set of whitespace-separated tokens through a DOMTokenList object.

### className

className: any

Inherited from SVGElement.className

Overrides Element.className

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12379

deprecated

### clientHeight

clientHeight: number

Inherited from Element.clientHeight

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4788

### clientLeft

clientLeft: number

Inherited from Element.clientLeft

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4789

### clientTop

clientTop: number

Inherited from Element.clientTop

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4790

### clientWidth

clientWidth: number

Inherited from Element.clientWidth

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4791

### correspondingElement

correspondingElement: SVGElement

Inherited from SVGElementInstance.correspondingElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12394

### correspondingUseElement

correspondingUseElement: SVGUseElement

Inherited from SVGElementInstance.correspondingUseElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12395

### dataset

dataset: DOMStringMap

Inherited from HTMLOrSVGElement.dataset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7674

### divisor

divisor: SVGAnimatedNumber

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12553

### edgeMode

edgeMode: SVGAnimatedEnumeration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12554

### firstChild

firstChild: ChildNode | null

Inherited from Node.firstChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10393

Returns the first child.

### firstElementChild

firstElementChild: Element | null

Inherited from ParentNode.firstElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10807

Returns the first child that is an element, and null otherwise.

### height

height: SVGAnimatedLength

Inherited from SVGFilterPrimitiveStandardAttributes.height

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12913

### id

id: string

Inherited from Element.id

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4796

Returns the value of element's id content attribute. Can be set to change it.

### in1

in1: SVGAnimatedString

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12555

### innerHTML

innerHTML: string

Inherited from Element.innerHTML

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4797

### isConnected

isConnected: boolean

Inherited from Node.isConnected

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10397

Returns true if node is connected and false otherwise.

### kernelMatrix

kernelMatrix: SVGAnimatedNumberList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12556

### kernelUnitLengthX

kernelUnitLengthX: SVGAnimatedNumber

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12557

### kernelUnitLengthY

kernelUnitLengthY: SVGAnimatedNumber

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12558

### lastChild

lastChild: ChildNode | null

Inherited from Node.lastChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10401

Returns the last child.

### lastElementChild

lastElementChild: Element | null

Inherited from ParentNode.lastElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10811

Returns the last child that is an element, and null otherwise.

### localName

localName: string

Inherited from Element.localName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4801

Returns the local name.

### namespaceURI

namespaceURI: string | null

Inherited from Element.namespaceURI

Overrides Node.namespaceURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4805

Returns the namespace.

### nextElementSibling

nextElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.nextElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10615

Returns the first following sibling that is an element, and null otherwise.

### nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10407

Returns the next sibling.

### nodeName

nodeName: string

Inherited from Node.nodeName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10430

Returns a string appropriate for the type of node, as follows: Element Its HTML-uppercased qualified name. Attr Its qualified name. Text "#text". CDATASection "#cdata-section". ProcessingInstruction Its target. Comment "#comment". Document "#document". DocumentType Its name. DocumentFragment "#document-fragment".

### nodeType

nodeType: number

Inherited from Node.nodeType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10431

### nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10432

### nonce

nonce: string

Inherited from HTMLOrSVGElement.nonce

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7675

### onabort

onabort: function | null

Inherited from GlobalEventHandlers.onabort

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5387

Fires when the user aborts the download.

param

  The event.

### onanimationcancel

onanimationcancel: function | null

Inherited from GlobalEventHandlers.onanimationcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5388

### onanimationend

onanimationend: function | null

Inherited from GlobalEventHandlers.onanimationend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5389

### onanimationiteration

onanimationiteration: function | null

Inherited from GlobalEventHandlers.onanimationiteration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5390

### onanimationstart

onanimationstart: function | null

Inherited from GlobalEventHandlers.onanimationstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5391

### onauxclick

onauxclick: function | null

Inherited from GlobalEventHandlers.onauxclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5392

### onblur

onblur: function | null

Inherited from GlobalEventHandlers.onblur

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5397

Fires when the object loses the input focus.

param

  The focus event.

### oncancel

oncancel: function | null

Inherited from GlobalEventHandlers.oncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5398

### oncanplay

oncanplay: function | null

Inherited from GlobalEventHandlers.oncanplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5403

Occurs when playback is possible, but would require further buffering.

param

  The event.

### oncanplaythrough

oncanplaythrough: function | null

Inherited from GlobalEventHandlers.oncanplaythrough

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5404

### onchange

onchange: function | null

Inherited from GlobalEventHandlers.onchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5409

Fires when the contents of the object or selection have changed.

param

  The event.

### onclick

onclick: function | null

Inherited from GlobalEventHandlers.onclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5414

Fires when the user clicks the left mouse button on the object

param

  The mouse event.

### onclose

onclose: function | null

Inherited from GlobalEventHandlers.onclose

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5415

### oncontextmenu

oncontextmenu: function | null

Inherited from GlobalEventHandlers.oncontextmenu

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5420

Fires when the user clicks the right mouse button in the client area, opening the context menu.

param

  The mouse event.

### oncopy

oncopy: function | null

Inherited from DocumentAndElementEventHandlers.oncopy

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4589

### oncuechange

oncuechange: function | null

Inherited from GlobalEventHandlers.oncuechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5421

### oncut

oncut: function | null

Inherited from DocumentAndElementEventHandlers.oncut

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4590

### ondblclick

ondblclick: function | null

Inherited from GlobalEventHandlers.ondblclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5426

Fires when the user double-clicks the object.

param

  The mouse event.

### ondrag

ondrag: function | null

Inherited from GlobalEventHandlers.ondrag

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5431

Fires on the source object continuously during a drag operation.

param

  The event.

### ondragend

ondragend: function | null

Inherited from GlobalEventHandlers.ondragend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5436

Fires on the source object when the user releases the mouse at the close of a drag operation.

param

  The event.

### ondragenter

ondragenter: function | null

Inherited from GlobalEventHandlers.ondragenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5441

Fires on the target element when the user drags the object to a valid drop target.

param

  The drag event.

### ondragexit

ondragexit: function | null

Inherited from GlobalEventHandlers.ondragexit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5442

### ondragleave

ondragleave: function | null

Inherited from GlobalEventHandlers.ondragleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5447

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

param

  The drag event.

### ondragover

ondragover: function | null

Inherited from GlobalEventHandlers.ondragover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5452

Fires on the target element continuously while the user drags the object over a valid drop target.

param

  The event.

### ondragstart

ondragstart: function | null

Inherited from GlobalEventHandlers.ondragstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5457

Fires on the source object when the user starts to drag a text selection or selected object.

param

  The event.

### ondrop

ondrop: function | null

Inherited from GlobalEventHandlers.ondrop

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5458

### ondurationchange

ondurationchange: function | null

Inherited from GlobalEventHandlers.ondurationchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5463

Occurs when the duration attribute is updated.

param

  The event.

### onemptied

onemptied: function | null

Inherited from GlobalEventHandlers.onemptied

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5468

Occurs when the media element is reset to its initial state.

param

  The event.

### onended

onended: function | null

Inherited from GlobalEventHandlers.onended

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5473

Occurs when the end of playback is reached.

param

  The event

### onerror

onerror: ErrorEventHandler

Inherited from GlobalEventHandlers.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5478

Fires when an error occurs during object loading.

param

  The event.

### onfocus

onfocus: function | null

Inherited from GlobalEventHandlers.onfocus

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5483

Fires when the object receives focus.

param

  The event.

### onfullscreenchange

onfullscreenchange: function | null

Inherited from Element.onfullscreenchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4806

### onfullscreenerror

onfullscreenerror: function | null

Inherited from Element.onfullscreenerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4807

### ongotpointercapture

ongotpointercapture: function | null

Inherited from GlobalEventHandlers.ongotpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5484

### oninput

oninput: function | null

Inherited from GlobalEventHandlers.oninput

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5485

### oninvalid

oninvalid: function | null

Inherited from GlobalEventHandlers.oninvalid

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5486

### onkeydown

onkeydown: function | null

Inherited from GlobalEventHandlers.onkeydown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5491

Fires when the user presses a key.

param

  The keyboard event

### onkeypress

onkeypress: function | null

Inherited from GlobalEventHandlers.onkeypress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5496

Fires when the user presses an alphanumeric key.

param

  The event.

### onkeyup

onkeyup: function | null

Inherited from GlobalEventHandlers.onkeyup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5501

Fires when the user releases a key.

param

  The keyboard event

### onload

onload: function | null

Inherited from GlobalEventHandlers.onload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5506

Fires immediately after the browser loads the object.

param

  The event.

### onloadeddata

onloadeddata: function | null

Inherited from GlobalEventHandlers.onloadeddata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5511

Occurs when media data is loaded at the current playback position.

param

  The event.

### onloadedmetadata

onloadedmetadata: function | null

Inherited from GlobalEventHandlers.onloadedmetadata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5516

Occurs when the duration and dimensions of the media have been determined.

param

  The event.

### onloadend

onloadend: function | null

Inherited from GlobalEventHandlers.onloadend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5517

### onloadstart

onloadstart: function | null

Inherited from GlobalEventHandlers.onloadstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5522

Occurs when Internet Explorer begins looking for media data.

param

  The event.

### onlostpointercapture

onlostpointercapture: function | null

Inherited from GlobalEventHandlers.onlostpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5523

### onmousedown

onmousedown: function | null

Inherited from GlobalEventHandlers.onmousedown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5528

Fires when the user clicks the object with either mouse button.

param

  The mouse event.

### onmouseenter

onmouseenter: function | null

Inherited from GlobalEventHandlers.onmouseenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5529

### onmouseleave

onmouseleave: function | null

Inherited from GlobalEventHandlers.onmouseleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5530

### onmousemove

onmousemove: function | null

Inherited from GlobalEventHandlers.onmousemove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5535

Fires when the user moves the mouse over the object.

param

  The mouse event.

### onmouseout

onmouseout: function | null

Inherited from GlobalEventHandlers.onmouseout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5540

Fires when the user moves the mouse pointer outside the boundaries of the object.

param

  The mouse event.

### onmouseover

onmouseover: function | null

Inherited from GlobalEventHandlers.onmouseover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5545

Fires when the user moves the mouse pointer into the object.

param

  The mouse event.

### onmouseup

onmouseup: function | null

Inherited from GlobalEventHandlers.onmouseup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5550

Fires when the user releases a mouse button while the mouse is over the object.

param

  The mouse event.

### onpaste

onpaste: function | null

Inherited from DocumentAndElementEventHandlers.onpaste

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4591

### onpause

onpause: function | null

Inherited from GlobalEventHandlers.onpause

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5555

Occurs when playback is paused.

param

  The event.

### onplay

onplay: function | null

Inherited from GlobalEventHandlers.onplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5560

Occurs when the play method is requested.

param

  The event.

### onplaying

onplaying: function | null

Inherited from GlobalEventHandlers.onplaying

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5565

Occurs when the audio or video has started playing.

param

  The event.

### onpointercancel

onpointercancel: function | null

Inherited from GlobalEventHandlers.onpointercancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5566

### onpointerdown

onpointerdown: function | null

Inherited from GlobalEventHandlers.onpointerdown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5567

### onpointerenter

onpointerenter: function | null

Inherited from GlobalEventHandlers.onpointerenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5568

### onpointerleave

onpointerleave: function | null

Inherited from GlobalEventHandlers.onpointerleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5569

### onpointermove

onpointermove: function | null

Inherited from GlobalEventHandlers.onpointermove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5570

### onpointerout

onpointerout: function | null

Inherited from GlobalEventHandlers.onpointerout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5571

### onpointerover

onpointerover: function | null

Inherited from GlobalEventHandlers.onpointerover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5572

### onpointerup

onpointerup: function | null

Inherited from GlobalEventHandlers.onpointerup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5573

### onprogress

onprogress: function | null

Inherited from GlobalEventHandlers.onprogress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5578

Occurs to indicate progress while downloading media data.

param

  The event.

### onratechange

onratechange: function | null

Inherited from GlobalEventHandlers.onratechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5583

Occurs when the playback rate is increased or decreased.

param

  The event.

### onreset

onreset: function | null

Inherited from GlobalEventHandlers.onreset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5588

Fires when the user resets a form.

param

  The event.

### onresize

onresize: function | null

Inherited from GlobalEventHandlers.onresize

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5589

### onscroll

onscroll: function | null

Inherited from GlobalEventHandlers.onscroll

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5594

Fires when the user repositions the scroll box in the scroll bar on the object.

param

  The event.

### onsecuritypolicyviolation

onsecuritypolicyviolation: function | null

Inherited from GlobalEventHandlers.onsecuritypolicyviolation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5595

### onseeked

onseeked: function | null

Inherited from GlobalEventHandlers.onseeked

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5600

Occurs when the seek operation ends.

param

  The event.

### onseeking

onseeking: function | null

Inherited from GlobalEventHandlers.onseeking

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5605

Occurs when the current playback position is moved.

param

  The event.

### onselect

onselect: function | null

Inherited from GlobalEventHandlers.onselect

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5610

Fires when the current selection changes.

param

  The event.

### onstalled

onstalled: function | null

Inherited from GlobalEventHandlers.onstalled

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5615

Occurs when the download has stopped.

param

  The event.

### onsubmit

onsubmit: function | null

Inherited from GlobalEventHandlers.onsubmit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5616

### onsuspend

onsuspend: function | null

Inherited from GlobalEventHandlers.onsuspend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5621

Occurs if the load operation has been intentionally halted.

param

  The event.

### ontimeupdate

ontimeupdate: function | null

Inherited from GlobalEventHandlers.ontimeupdate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5626

Occurs to indicate the current playback position.

param

  The event.

### ontoggle

ontoggle: function | null

Inherited from GlobalEventHandlers.ontoggle

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5627

### ontouchcancel

ontouchcancel: function | null

Inherited from GlobalEventHandlers.ontouchcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5628

### ontouchend

ontouchend: function | null

Inherited from GlobalEventHandlers.ontouchend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5629

### ontouchmove

ontouchmove: function | null

Inherited from GlobalEventHandlers.ontouchmove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5630

### ontouchstart

ontouchstart: function | null

Inherited from GlobalEventHandlers.ontouchstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5631

### ontransitioncancel

ontransitioncancel: function | null

Inherited from GlobalEventHandlers.ontransitioncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5632

### ontransitionend

ontransitionend: function | null

Inherited from GlobalEventHandlers.ontransitionend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5633

### ontransitionrun

ontransitionrun: function | null

Inherited from GlobalEventHandlers.ontransitionrun

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5634

### ontransitionstart

ontransitionstart: function | null

Inherited from GlobalEventHandlers.ontransitionstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5635

### onvolumechange

onvolumechange: function | null

Inherited from GlobalEventHandlers.onvolumechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5640

Occurs when the volume is changed, or playback is muted or unmuted.

param

  The event.

### onwaiting

onwaiting: function | null

Inherited from GlobalEventHandlers.onwaiting

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5645

Occurs when playback stops because the next frame of a video resource is not available.

param

  The event.

### onwheel

onwheel: function | null

Inherited from GlobalEventHandlers.onwheel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5646

### orderX

orderX: SVGAnimatedInteger

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12559

### orderY

orderY: SVGAnimatedInteger

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12560

### outerHTML

outerHTML: string

Inherited from Element.outerHTML

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4808

### ownerDocument

ownerDocument: Document | null

Inherited from Node.ownerDocument

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10437

Returns the node document. Returns null for documents.

### ownerSVGElement

ownerSVGElement: SVGSVGElement | null

Inherited from SVGElement.ownerSVGElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12380

### parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10441

Returns the parent element.

### parentNode

parentNode: Node & ParentNode | null

Inherited from Node.parentNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10445

Returns the parent.

### prefix

prefix: string | null

Inherited from Element.prefix

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4812

Returns the namespace prefix.

### preserveAlpha

preserveAlpha: SVGAnimatedBoolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12561

### previousElementSibling

previousElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.previousElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10620

Returns the first preceding sibling that is an element, and null otherwise.

### previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10449

Returns the previous sibling.

### result

result: SVGAnimatedString

Inherited from SVGFilterPrimitiveStandardAttributes.result

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12914

### scrollHeight

scrollHeight: number

Inherited from Element.scrollHeight

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4813

### scrollLeft

scrollLeft: number

Inherited from Element.scrollLeft

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4814

### scrollTop

scrollTop: number

Inherited from Element.scrollTop

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4815

### scrollWidth

scrollWidth: number

Inherited from Element.scrollWidth

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4816

### shadowRoot

shadowRoot: ShadowRoot | null

Inherited from Element.shadowRoot

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4820

Returns element's shadow root, if any, and if shadow root's mode is "open", and null otherwise.

### slot

slot: string

Inherited from Element.slot

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4825

Returns the value of element's slot content attribute. Can be set to change it.

### style

style: CSSStyleDeclaration

Inherited from ElementCSSInlineStyle.style

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4937

### tabIndex

tabIndex: number

Inherited from HTMLOrSVGElement.tabIndex

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7676

### tagName

tagName: string

Inherited from Element.tagName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4829

Returns the HTML-uppercased qualified name.

### targetX

targetX: SVGAnimatedInteger

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12562

### targetY

targetY: SVGAnimatedInteger

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12563

### textContent

textContent: string | null

Inherited from Node.textContent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10450

### viewportElement

viewportElement: SVGElement | null

Inherited from SVGElement.viewportElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12381

### width

width: SVGAnimatedLength

Inherited from SVGFilterPrimitiveStandardAttributes.width

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12915

### x

x: SVGAnimatedLength

Inherited from SVGFilterPrimitiveStandardAttributes.x

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12916

### y

y: SVGAnimatedLength

Inherited from SVGFilterPrimitiveStandardAttributes.y

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12917

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides SVGElement.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12568

  #### Type parameters

  - #### K: keyof SVGElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SVGFEConvolveMatrixElement, ev: SVGElementEventMap[K]): any

      - #### Parameters

        - ##### this: SVGFEConvolveMatrixElement

        - ##### ev: SVGElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides SVGElement.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12569

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### after

- after(...nodes: (string | Node)[]): void

- Inherited from ChildNode.after

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3196

  Inserts nodes just after node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### animate

- animate(keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeAnimationOptions): Animation

- Inherited from Animatable.animate

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1729

  #### Parameters

  - ##### keyframes: Keyframe[] | PropertyIndexedKeyframes | null

  - ##### Optional options: number | KeyframeAnimationOptions

  #### Returns Animation

### append

- append(...nodes: (string | Node)[]): void

- Inherited from ParentNode.append

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10818

  Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10451

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### attachShadow

- attachShadow(shadowRootInitDict: ShadowRootInit): ShadowRoot

- Inherited from Element.attachShadow

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4833

  Creates a shadow root for element and returns it.

  #### Parameters

  - ##### shadowRootInitDict: ShadowRootInit

  #### Returns ShadowRoot

### before

- before(...nodes: (string | Node)[]): void

- Inherited from ChildNode.before

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3202

  Inserts nodes just before node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### blur

- blur(): void

- Inherited from HTMLOrSVGElement.blur

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7677

  #### Returns void

### cloneNode

- cloneNode(deep?: undefined | false | true): Node

- Inherited from Node.cloneNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10455

  Returns a copy of node. If deep is true, the copy also includes the node's descendants.

  #### Parameters

  - ##### Optional deep: undefined | false | true

  #### Returns Node

### closest

- closest<K>(selector: K): HTMLElementTagNameMap[K] | null
- closest<K>(selector: K): SVGElementTagNameMap[K] | null
- closest(selector: string): Element | null

- Inherited from Element.closest

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4837

  Returns the first (starting at element) inclusive ancestor that matches selectors, and null otherwise.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from Element.closest

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from Element.closest

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4839

  #### Parameters

  - ##### selector: string

  #### Returns Element | null

### compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10456

  #### Parameters

  - ##### other: Node

  #### Returns number

### contains

- contains(other: Node | null): boolean

- Inherited from Node.contains

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10460

  Returns true if other is an inclusive descendant of node, and false otherwise.

  #### Parameters

  - ##### other: Node | null

  #### Returns boolean

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### focus

- focus(options?: FocusOptions): void

- Inherited from HTMLOrSVGElement.focus

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7678

  #### Parameters

  - ##### Optional options: FocusOptions

  #### Returns void

### getAnimations

- getAnimations(): Animation[]

- Inherited from Animatable.getAnimations

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1730

  #### Returns Animation[]

### getAttribute

- getAttribute(qualifiedName: string): string | null

- Inherited from Element.getAttribute

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4843

  Returns element's first attribute whose qualified name is qualifiedName, and null if there is no such attribute otherwise.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns string | null

### getAttributeNS

- getAttributeNS(namespace: string | null, localName: string): string | null

- Inherited from Element.getAttributeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4848

  Returns element's attribute whose namespace is namespace and local name is localName, and null if there is no such attribute otherwise.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns string | null

### getAttributeNames

- getAttributeNames(): string[]

- Inherited from Element.getAttributeNames

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4853

  Returns the qualified names of all element's attributes. Can contain duplicates.

  #### Returns string[]

### getAttributeNode

- getAttributeNode(name: string): Attr | null

- Inherited from Element.getAttributeNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4854

  #### Parameters

  - ##### name: string

  #### Returns Attr | null

### getAttributeNodeNS

- getAttributeNodeNS(namespaceURI: string, localName: string): Attr | null

- Inherited from Element.getAttributeNodeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4855

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns Attr | null

### getBoundingClientRect

- getBoundingClientRect(): ClientRect | DOMRect

- Inherited from Element.getBoundingClientRect

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4856

  #### Returns ClientRect | DOMRect

### getClientRects

- getClientRects(): ClientRectList | DOMRectList

- Inherited from Element.getClientRects

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4857

  #### Returns ClientRectList | DOMRectList

### getElementsByClassName

- getElementsByClassName(classNames: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByClassName

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4858

  #### Parameters

  - ##### classNames: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByTagName

- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<HTMLElementTagNameMap[K]>
- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<SVGElementTagNameMap[K]>
- getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByTagName

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4859

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<HTMLElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4860

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<SVGElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4861

  #### Parameters

  - ##### qualifiedName: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByTagNameNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4862

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- Inherited from Element.getElementsByTagNameNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4863

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- Inherited from Element.getElementsByTagNameNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4864

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### getRootNode

- getRootNode(options?: GetRootNodeOptions): Node

- Inherited from Node.getRootNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10464

  Returns node's shadow-including root.

  #### Parameters

  - ##### Optional options: GetRootNodeOptions

  #### Returns Node

### hasAttribute

- hasAttribute(qualifiedName: string): boolean

- Inherited from Element.hasAttribute

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4868

  Returns true if element has an attribute whose qualified name is qualifiedName, and false otherwise.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns boolean

### hasAttributeNS

- hasAttributeNS(namespace: string | null, localName: string): boolean

- Inherited from Element.hasAttributeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4872

  Returns true if element has an attribute whose namespace is namespace and local name is localName.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns boolean

### hasAttributes

- hasAttributes(): boolean

- Inherited from Element.hasAttributes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4876

  Returns true if element has attributes, and false otherwise.

  #### Returns boolean

### hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10468

  Returns whether node has children.

  #### Returns boolean

### hasPointerCapture

- hasPointerCapture(pointerId: number): boolean

- Inherited from Element.hasPointerCapture

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4877

  #### Parameters

  - ##### pointerId: number

  #### Returns boolean

### insertAdjacentElement

- insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element | null

- Inherited from Element.insertAdjacentElement

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4878

  #### Parameters

  - ##### position: InsertPosition

  - ##### insertedElement: Element

  #### Returns Element | null

### insertAdjacentHTML

- insertAdjacentHTML(where: InsertPosition, html: string): void

- Inherited from Element.insertAdjacentHTML

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4879

  #### Parameters

  - ##### where: InsertPosition

  - ##### html: string

  #### Returns void

### insertAdjacentText

- insertAdjacentText(where: InsertPosition, text: string): void

- Inherited from Element.insertAdjacentText

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4880

  #### Parameters

  - ##### where: InsertPosition

  - ##### text: string

  #### Returns void

### insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10469

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### isDefaultNamespace

- isDefaultNamespace(namespace: string | null): boolean

- Inherited from Node.isDefaultNamespace

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10470

  #### Parameters

  - ##### namespace: string | null

  #### Returns boolean

### isEqualNode

- isEqualNode(otherNode: Node | null): boolean

- Inherited from Node.isEqualNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10474

  Returns whether node and otherNode have the same properties.

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### isSameNode

- isSameNode(otherNode: Node | null): boolean

- Inherited from Node.isSameNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10475

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10476

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### lookupPrefix

- lookupPrefix(namespace: string | null): string | null

- Inherited from Node.lookupPrefix

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10477

  #### Parameters

  - ##### namespace: string | null

  #### Returns string | null

### matches

- matches(selectors: string): boolean

- Inherited from Element.matches

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4884

  Returns true if matching selectors against element's root yields element, and false otherwise.

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### msGetRegionContent

- msGetRegionContent(): any

- Inherited from Element.msGetRegionContent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4885

  #### Returns any

### normalize

- normalize(): void

- Inherited from Node.normalize

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10481

  Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.

  #### Returns void

### prepend

- prepend(...nodes: (string | Node)[]): void

- Inherited from ParentNode.prepend

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10825

  Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10830

  Returns the first element that is a descendant of node that matches selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10831

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10832

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10837

  Returns all element descendants of node that match selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10839

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

### releasePointerCapture

- releasePointerCapture(pointerId: number): void

- Inherited from Element.releasePointerCapture

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4886

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### remove

- remove(): void

- Inherited from ChildNode.remove

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3206

  Removes node.

  #### Returns void

### removeAttribute

- removeAttribute(qualifiedName: string): void

- Inherited from Element.removeAttribute

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4890

  Removes element's first attribute whose qualified name is qualifiedName.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns void

### removeAttributeNS

- removeAttributeNS(namespace: string | null, localName: string): void

- Inherited from Element.removeAttributeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4894

  Removes element's attribute whose namespace is namespace and local name is localName.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns void

### removeAttributeNode

- removeAttributeNode(attr: Attr): Attr

- Inherited from Element.removeAttributeNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4895

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr

### removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10482

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides SVGElement.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12570

  #### Type parameters

  - #### K: keyof SVGElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SVGFEConvolveMatrixElement, ev: SVGElementEventMap[K]): any

      - #### Parameters

        - ##### this: SVGFEConvolveMatrixElement

        - ##### ev: SVGElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides SVGElement.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12571

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10483

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### replaceWith

- replaceWith(...nodes: (string | Node)[]): void

- Inherited from ChildNode.replaceWith

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3212

  Replaces node with nodes, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### requestFullscreen

- requestFullscreen(): Promise<void>

- Inherited from Element.requestFullscreen

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4899

  Displays element fullscreen and resolves promise when done.

  #### Returns Promise<void>

### scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- Inherited from Element.scroll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4900

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scroll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4901

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- Inherited from Element.scrollBy

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4902

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollBy

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4903

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollIntoView

- scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void

- Inherited from Element.scrollIntoView

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4904

  #### Parameters

  - ##### Optional arg: boolean | ScrollIntoViewOptions

  #### Returns void

### scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- Inherited from Element.scrollTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4905

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollTo

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4906

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### setAttribute

- setAttribute(qualifiedName: string, value: string): void

- Inherited from Element.setAttribute

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4910

  Sets the value of element's first attribute whose qualified name is qualifiedName to value.

  #### Parameters

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNS

- setAttributeNS(namespace: string | null, qualifiedName: string, value: string): void

- Inherited from Element.setAttributeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4914

  Sets the value of element's attribute whose namespace is namespace and local name is localName to value.

  #### Parameters

  - ##### namespace: string | null

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNode

- setAttributeNode(attr: Attr): Attr | null

- Inherited from Element.setAttributeNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4915

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

### setAttributeNodeNS

- setAttributeNodeNS(attr: Attr): Attr | null

- Inherited from Element.setAttributeNodeNS

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4916

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

### setPointerCapture

- setPointerCapture(pointerId: number): void

- Inherited from Element.setPointerCapture

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4917

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### toggleAttribute

- toggleAttribute(qualifiedName: string, force?: undefined | false | true): boolean

- Inherited from Element.toggleAttribute

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4923

  If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName. If force is false, removes qualifiedName. Returns true if qualifiedName is now present, and false otherwise.

  #### Parameters

  - ##### qualifiedName: string

  - ##### Optional force: undefined | false | true

  #### Returns boolean

### webkitMatchesSelector

- webkitMatchesSelector(selectors: string): boolean

- Inherited from Element.webkitMatchesSelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4924

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

Generated using TypeDoc